local mod = ...



-- Make drinks a new resource type
mod:registerEnumValue( "RESOURCE_TYPE", "RESOURCE_TYPE_DRINK" )

local function registerDrink(idResource)
    mod:override({
        Id = idResource,
        ResourceTypeList = { "TAVERN", "RESOURCE_FOOD", "RESOURCE_TYPE_DRINK" },
    })
end

registerDrink("BEER")
registerDrink("WINE")
registerDrink("RESOURCE_CIDER")



-- Make drinks satisfy the need for water
mod:override({
    Id = "NEED_PRIMARY_NEED",
    NeedTypeList = {
        Action = "APPEND",
        "RESOURCE_TYPE_DRINK",
    },
})


-- Remove Tavern resource type from the luxury need fulfilment list
mod:override({
    Id = "NEED_LUXURY",
    NeedTypeList = {
        "LUXURY",
        "LUXURY_FOOD",
    },
})
